> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /dw/videos

> Get one Deutsche Welle video by url or content id: headline, description, transcript text, duration, HLS stream url, poster image, subtitles, authors, topics and related content.

**Price:** 1 credit

**⚠️ Common errors:** 412: No DW video with this id in this language edition



## OpenAPI

````yaml /openapi/news-publishing.json post /api/dw/videos
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/dw/videos:
    post:
      tags:
        - /dw
      summary: /dw/videos
      description: >-
        Get one Deutsche Welle video by url or content id: headline,
        description, transcript text, duration, HLS stream url, poster image,
        subtitles, authors, topics and related content.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No DW video with this id in this language
        edition
      operationId: __api_dw_videos_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DwVideosPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DwVideo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DwVideosPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        video:
          type: string
          minLength: 1
        language:
          $ref: '#/components/schemas/DwLanguage'
          default: en
      type: object
      required:
        - video
    DwVideo:
      properties:
        '@type':
          type: string
          default: DwVideo
        id:
          type: integer
        content_type:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          type: string
        long_headline:
          anyOf:
            - type: string
            - type: 'null'
        seo_title:
          anyOf:
            - type: string
            - type: 'null'
        social_title:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        amp_url:
          anyOf:
            - type: string
            - type: 'null'
        permalink_url:
          anyOf:
            - type: string
            - type: 'null'
        teaser:
          anyOf:
            - type: string
            - type: 'null'
        social_description:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        genre:
          anyOf:
            - type: string
            - type: 'null'
        priority:
          anyOf:
            - type: string
            - type: 'null'
        is_opinion:
          anyOf:
            - type: boolean
            - type: 'null'
        is_indexed:
          anyOf:
            - type: boolean
            - type: 'null'
        is_rtl:
          anyOf:
            - type: boolean
            - type: 'null'
        subdomain:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        republished_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        content_at:
          anyOf:
            - type: integer
            - type: 'null'
        content_date_mode:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        department:
          anyOf:
            - type: string
            - type: 'null'
        geo_region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - $ref: '#/components/schemas/DwImage'
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/DwPersonRef'
          type: array
          default: []
        legacy_author:
          anyOf:
            - type: string
            - type: 'null'
        topics:
          items:
            $ref: '#/components/schemas/DwTopicRef'
          type: array
          default: []
        subjects:
          items:
            type: string
          type: array
          default: []
        regions:
          items:
            $ref: '#/components/schemas/DwRegion'
          type: array
          default: []
        programs:
          items:
            $ref: '#/components/schemas/DwProgramRef'
          type: array
          default: []
        external_links:
          items:
            $ref: '#/components/schemas/DwExternalLink'
          type: array
          default: []
        content_links:
          items:
            $ref: '#/components/schemas/DwContentLink'
          type: array
          default: []
        related_contents:
          items:
            $ref: '#/components/schemas/DwContentRef'
          type: array
          default: []
        embedded_videos:
          items:
            $ref: '#/components/schemas/DwContentRef'
          type: array
          default: []
        embedded_audios:
          items:
            $ref: '#/components/schemas/DwContentRef'
          type: array
          default: []
        embedded_galleries:
          items:
            $ref: '#/components/schemas/DwContentRef'
          type: array
          default: []
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        formatted_duration:
          anyOf:
            - type: string
            - type: 'null'
        duration_iso8601:
          anyOf:
            - type: string
            - type: 'null'
        hls_url:
          anyOf:
            - type: string
            - type: 'null'
        poster_image:
          anyOf:
            - type: string
            - type: 'null'
        still_image:
          anyOf:
            - type: string
            - type: 'null'
        playback_format:
          anyOf:
            - type: string
            - type: 'null'
        valid_until:
          anyOf:
            - type: integer
            - type: 'null'
        never_delete:
          anyOf:
            - type: boolean
            - type: 'null'
        is_live_video:
          anyOf:
            - type: boolean
            - type: 'null'
        has_multiple_contributions:
          anyOf:
            - type: boolean
            - type: 'null'
        subtitles:
          items:
            $ref: '#/components/schemas/DwSubtitle'
          type: array
          default: []
      type: object
      required:
        - id
        - headline
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DwLanguage:
      type: string
      enum:
        - de
        - en
        - ar
        - es
        - ru
        - fr
        - uk
        - tr
        - fa-ir
        - fa-af
        - ps
        - ur
        - hi
        - bn
        - pt-br
        - pt-002
        - pl
        - ro
        - sr
        - bs
        - hr
        - mk
        - sq
        - bg
        - el
        - zh
        - zh-hant
        - id
        - sw
        - ha
        - am
    DwImage:
      properties:
        '@type':
          type: string
          default: DwImage
        id:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        caption:
          anyOf:
            - type: string
            - type: 'null'
        credit:
          anyOf:
            - type: string
            - type: 'null'
        image_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DwPersonRef:
      properties:
        '@type':
          type: string
          default: DwPersonRef
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        role:
          anyOf:
            - type: string
            - type: 'null'
        short_profile:
          anyOf:
            - type: string
            - type: 'null'
        twitter_handle:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    DwTopicRef:
      properties:
        '@type':
          type: string
          default: DwTopicRef
        id:
          type: integer
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    DwRegion:
      properties:
        '@type':
          type: string
          default: DwRegion
        region_code:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DwProgramRef:
      properties:
        '@type':
          type: string
          default: DwProgramRef
        id:
          type: integer
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    DwExternalLink:
      properties:
        '@type':
          type: string
          default: DwExternalLink
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        is_in_text:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - url
    DwContentLink:
      properties:
        '@type':
          type: string
          default: DwContentLink
        target_id:
          anyOf:
            - type: integer
            - type: 'null'
        target_type:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_in_text:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    DwContentRef:
      properties:
        '@type':
          type: string
          default: DwContentRef
        id:
          type: integer
        content_type:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        subdomain:
          anyOf:
            - type: string
            - type: 'null'
        teaser:
          anyOf:
            - type: string
            - type: 'null'
        short_teaser:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        image_caption:
          anyOf:
            - type: string
            - type: 'null'
        content_at:
          anyOf:
            - type: integer
            - type: 'null'
        kicker:
          anyOf:
            - type: string
            - type: 'null'
        priority:
          anyOf:
            - type: string
            - type: 'null'
        genre:
          anyOf:
            - type: string
            - type: 'null'
        is_opinion:
          anyOf:
            - type: boolean
            - type: 'null'
        is_live_video:
          anyOf:
            - type: boolean
            - type: 'null'
        is_liveblog_active:
          anyOf:
            - type: boolean
            - type: 'null'
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        formatted_duration:
          anyOf:
            - type: string
            - type: 'null'
        hls_url:
          anyOf:
            - type: string
            - type: 'null'
        mp3_url:
          anyOf:
            - type: string
            - type: 'null'
        poster_image:
          anyOf:
            - type: string
            - type: 'null'
        playback_format:
          anyOf:
            - type: string
            - type: 'null'
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        subtitles:
          items:
            $ref: '#/components/schemas/DwSubtitle'
          type: array
          default: []
        programs:
          items:
            $ref: '#/components/schemas/DwProgramRef'
          type: array
          default: []
        authors:
          items:
            $ref: '#/components/schemas/DwPersonRef'
          type: array
          default: []
      type: object
      required:
        - id
        - headline
    DwSubtitle:
      properties:
        '@type':
          type: string
          default: DwSubtitle
        language:
          anyOf:
            - type: string
            - type: 'null'
        language_code:
          anyOf:
            - type: string
            - type: 'null'
        subtitle_url:
          type: string
      type: object
      required:
        - subtitle_url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````